package com.jeeww.web.admin.dto.orgmanage;

import java.io.Serializable;

/**
 * 组织机构信息表 实体类. 作者:蒋文武 创建日期: 2014-03-07 06:35:21
 */
public class OrgManageDTO implements Serializable {
    /**
     * 默认序列.
     */
    private static final long serialVersionUID = 1L;
    /**
     * 组织机构主键.
     */
    private String orgId;
    /**
     * 组织机构名称.
     */
    private String orgName;
    /**
     * 创建日期.
     */
    private java.util.Date createDate;
    /**
     * 更新日期.
     */
    private java.util.Date updateDate;
    /**
     * 创建人主键.
     */
    private String createUserId;
    /**
     * 更新人主键.
     */
    private String updateUserId;
    /**
     * 上级机构.
     */
    private String parentOrgId;
    /**
     * 根节点标记.
     */
    private String rootFlag;
    /**
     * 子节点标记.
     */
    private String leafFlag;
    /**
     * .
     */
    private java.math.BigDecimal orderNum;

    /**
     * 获得组织机构主键的值.
     * @return orgId
     */
    public String getOrgId() {
        return orgId;
    }

    /**
     * 设置组织机构主键的值.
     * @param orgId parameter orgId
     */
    public void setOrgId(final String orgId) {
        this.orgId = orgId;
    }

    /**
     * 获得组织机构名称的值.
     * @return orgName
     */
    public String getOrgName() {
        return orgName;
    }

    /**
     * 设置组织机构名称的值.
     * @param orgName parameter orgName
     */
    public void setOrgName(final String orgName) {
        this.orgName = orgName;
    }

    /**
     * 获得创建日期的值.
     * @return createDate
     */
    public java.util.Date getCreateDate() {
        return createDate;
    }

    /**
     * 设置创建日期的值.
     * @param createDate parameter createDate
     */
    public void setCreateDate(final java.util.Date createDate) {
        this.createDate = createDate;
    }

    /**
     * 获得更新日期的值.
     * @return updateDate
     */
    public java.util.Date getUpdateDate() {
        return updateDate;
    }

    /**
     * 设置更新日期的值.
     * @param updateDate parameter updateDate
     */
    public void setUpdateDate(final java.util.Date updateDate) {
        this.updateDate = updateDate;
    }

    /**
     * 获得创建人主键的值.
     * @return createUserId
     */
    public String getCreateUserId() {
        return createUserId;
    }

    /**
     * 设置创建人主键的值.
     * @param createUserId parameter createUserId
     */
    public void setCreateUserId(final String createUserId) {
        this.createUserId = createUserId;
    }

    /**
     * 获得更新人主键的值.
     * @return updateUserId
     */
    public String getUpdateUserId() {
        return updateUserId;
    }

    /**
     * 设置更新人主键的值.
     * @param updateUserId parameter updateUserId
     */
    public void setUpdateUserId(final String updateUserId) {
        this.updateUserId = updateUserId;
    }

    /**
     * 获得上级机构的值.
     * @return parentOrgId
     */
    public String getParentOrgId() {
        return parentOrgId;
    }

    /**
     * 设置上级机构的值.
     * @param parentOrgId parameter parentOrgId
     */
    public void setParentOrgId(final String parentOrgId) {
        this.parentOrgId = parentOrgId;
    }

    /**
     * 获得根节点标记的值.
     * @return rootFlag
     */
    public String getRootFlag() {
        return rootFlag;
    }

    /**
     * 设置根节点标记的值.
     * @param rootFlag parameter rootFlag
     */
    public void setRootFlag(final String rootFlag) {
        this.rootFlag = rootFlag;
    }

    /**
     * 获得子节点标记的值.
     * @return leafFlag
     */
    public String getLeafFlag() {
        return leafFlag;
    }

    /**
     * 设置子节点标记的值.
     * @param leafFlag parameter leafFlag
     */
    public void setLeafFlag(final String leafFlag) {
        this.leafFlag = leafFlag;
    }

    /**
     * 获得的值.
     * @return orderNum
     */
    public java.math.BigDecimal getOrderNum() {
        return orderNum;
    }

    /**
     * 设置的值.
     * @param orderNum parameter orderNum
     */
    public void setOrderNum(final java.math.BigDecimal orderNum) {
        this.orderNum = orderNum;
    }
}
